package com.pcloud.book.mq.producer;

import com.pcloud.book.book.dto.BookCoverImgUpdateDTO;
import com.pcloud.book.book.dto.BookNameUpdateDTO;
import com.pcloud.book.clock.dto.PushBookClockKeywordDTO;
import com.pcloud.book.group.dto.PushAddUserMessageDTO;

public interface BookMQProducer {

  void sendUpdateBookCoverImgTopic(BookCoverImgUpdateDTO bookCoverImgUpdateDTO);

  void sendUpdateBookNameTopic(BookNameUpdateDTO bookNameUpdateDTO);

  void pushAddUserMessageTopic(PushAddUserMessageDTO pushAddUserMessageDTO);

  void pushBookClockKeyword(PushBookClockKeywordDTO pushBookClockKeywordDTO);
}
